#include <glut.h>
#include "glWindow.h"
#include "glFile.h"

int menuId;
modelData *model = 0;

int main( int argc, char *argv[] )
{
   int sub1, sub2, sub3;

   /* setup and create the window */
   glutInitWindowSize( 350, 400 );
   glutInit( &argc, argv );
   glutInitDisplayMode( GLUT_RGB | GLUT_DOUBLE | GLUT_DEPTH );
   glutCreateWindow( "OpenGL Demo - Quake II Viewer" );

   /* setup stuff in here */
   glutDisplayFunc( paintWindow );
   glutReshapeFunc( setWindowSize );
   glutIdleFunc( idleFunc );
   glutMouseFunc( mouseFunc );
   glutMotionFunc( mouseMotionFunc );

   /* create the menu */
   /* first sub menu */
   sub1 = glutCreateMenu( menuFuncDisplay );
   glutAddMenuEntry( "Points", MENU_SHOW_POINTS );
   glutAddMenuEntry( "Wireframe", MENU_SHOW_WIREFRAME );
   glutAddMenuEntry( "Solid", MENU_SHOW_SOLID );
   glutAddMenuEntry( "Texture", MENU_SHOW_TEXTURE );

   /* second sub menu */
   sub2 = glutCreateMenu( menuFuncLoad );
   glutAddMenuEntry( "Default", MENU_LOAD_DEFAULT );

   /* third sub menu */
   sub3 = glutCreateMenu( menuFuncMotionSelect );
   glutAddMenuEntry( "Rotate", MENU_MOTION_ROTATE );
   glutAddMenuEntry( "Zoom", MENU_MOTION_ZOOM );

   /* main menu */
   menuId = glutCreateMenu( menuFuncMain );
   glutAddSubMenu( "Display As...", sub1 );
   glutAddSubMenu( "Load Model...", sub2 );
   glutAddSubMenu( "Motion Type...", sub3 );
   glutAddMenuEntry( "Exit", MENU_EXIT );

   /* attach as popup to button */
   glutSetMenu( menuId );
   glutAttachMenu( GLUT_RIGHT_BUTTON );

   /* now load in the model rom the parameter line */
   if( argc >= 2 )
      model = loadModel( argv[1] );

   glutMainLoop();
   return( 0 );
}
